summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-24.2.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin270466 -> 270951 bytes
-rw-r--r--dev-python/a2wsgi/Manifest2
-rw-r--r--dev-python/a2wsgi/a2wsgi-1.10.4.ebuild30
-rw-r--r--dev-python/aiosmtpd/Manifest3
-rw-r--r--dev-python/aiosmtpd/aiosmtpd-1.4.5.ebuild36
-rw-r--r--dev-python/aiosmtpd/metadata.xml13
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.62.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.62.ebuild67
-rw-r--r--dev-python/ensurepip-setuptools/Manifest2
-rw-r--r--dev-python/ensurepip-setuptools/ensurepip-setuptools-69.2.0.ebuild24
-rw-r--r--dev-python/libvirt-python/Manifest3
-rw-r--r--dev-python/libvirt-python/libvirt-python-10.1.0.ebuild63
-rw-r--r--dev-python/mkdocstrings-python/Manifest2
-rw-r--r--dev-python/mkdocstrings-python/mkdocstrings-python-1.9.0.ebuild41
-rw-r--r--dev-python/pandas/Manifest6
-rw-r--r--dev-python/pandas/pandas-2.2.0-r1.ebuild2
-rw-r--r--dev-python/pandas/pandas-2.2.0.ebuild2
-rw-r--r--dev-python/pandas/pandas-2.2.1.ebuild4
-rw-r--r--dev-python/phonenumbers/Manifest2
-rw-r--r--dev-python/phonenumbers/phonenumbers-8.13.32.ebuild39
-rw-r--r--dev-python/plotly/Manifest2
-rw-r--r--dev-python/plotly/plotly-5.20.0.ebuild116
-rw-r--r--dev-python/pyasynchat/Manifest3
-rw-r--r--dev-python/pyasynchat/metadata.xml13
-rw-r--r--dev-python/pyasynchat/pyasynchat-1.0.4.ebuild26
-rw-r--r--dev-python/pyasyncore/Manifest3
-rw-r--r--dev-python/pyasyncore/metadata.xml13
-rw-r--r--dev-python/pyasyncore/pyasyncore-1.0.4.ebuild24
-rw-r--r--dev-python/python-ptrace/Manifest4
-rw-r--r--dev-python/python-ptrace/python-ptrace-0.9.9.ebuild35
-rw-r--r--dev-python/python-ptrace/python-ptrace-9999.ebuild21
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.42.0.ebuild153
-rw-r--r--dev-python/setuptools-rust/Manifest2
-rw-r--r--dev-python/setuptools-rust/setuptools-rust-1.9.0.ebuild2
-rw-r--r--dev-python/setuptools/Manifest2
-rw-r--r--dev-python/setuptools/setuptools-69.2.0.ebuild127
-rw-r--r--dev-python/sphinxcontrib-autoprogram/Manifest2
-rw-r--r--dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.9.ebuild29
-rw-r--r--dev-python/types-docutils/Manifest2
-rw-r--r--dev-python/types-docutils/types-docutils-0.20.0.20240314.ebuild17
-rw-r--r--dev-python/urwid/Manifest2
-rw-r--r--dev-python/urwid/urwid-2.6.9.ebuild47
-rw-r--r--dev-python/xmlschema/Manifest2
-rw-r--r--dev-python/xmlschema/xmlschema-3.1.0.ebuild37
49 files changed, 1112 insertions, 19 deletions
diff --git a/dev-python/Faker/Faker-24.2.0.ebuild b/dev-python/Faker/Faker-24.2.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-24.2.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 12fe55d9820f..f962229a7f1e 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,5 +1,7 @@
DIST Faker-23.3.0.tar.gz 1716346 BLAKE2B 21be02c45fdaeed398ce157b9874985791dff67784b60198323ffae8f8c3a3e82932ebc152893aed40efb5d73e1e775c52b364c62411b59e48ce3d897971ba92 SHA512 2bdcf86adae1eeee257ee24df140894451d13854afdde8794d08072b9b572e48fcacb74597f64da9f069e914db0f27c8f4e74d746a25bbee8421310749468b82
DIST Faker-24.1.0.tar.gz 1716789 BLAKE2B 60a8571cd9aae2c1a47aabcb50d85507d78b5635332d24036e2b28756c4e7da3950074eff906200b9eefee28d9594dba3df7ee17fd815308e01d1cf8ed422afb SHA512 a467cfab41a074ac88c398640b02898f96ced7150d5989270573fd5765e880e539932046b5829b3428d087b5f6f97c9c5ea51725003abbf2ae06e8862fd86fef
+DIST Faker-24.2.0.tar.gz 1723713 BLAKE2B 75ea69214239084a59284a95a1cb2585671aa770fd78f853030ae7cb32281370e7505ba05262958d3511ea131ebab6ef1175953be6f73a048160eaa8536a6364 SHA512 85b5acf252f6163cdd87b8f8269360e6e204899f1645ed0f50302719ad0386e1c1fd766904cb239222c1d6120429f33a69deaf3d331743685333e35e12790a43
EBUILD Faker-23.3.0.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-24.1.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-24.2.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index efc34ef4d7f2..4524daa2d2b8 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/a2wsgi/Manifest b/dev-python/a2wsgi/Manifest
index 8f483a071cf8..6e4825a63a0a 100644
--- a/dev-python/a2wsgi/Manifest
+++ b/dev-python/a2wsgi/Manifest
@@ -1,5 +1,7 @@
DIST a2wsgi-1.10.2.tar.gz 18126 BLAKE2B 8f0163a9acd3548d5627b026cba7f573cb10d3d346b4304a2152d92f0c9c9a7c0a622ec2761c473a23ef3724d706da1c832f28f7040f7b44303a74794aff6702 SHA512 c084cdeba47c848635cd1ae8ab05d46b6d83acbad48a923f4c21141564d755ac73e52acb097251a6fb3feba9009aca03db40d9a44aa94ea89caad5218cb5e456
DIST a2wsgi-1.10.3.tar.gz 18111 BLAKE2B 2d18a17b66f3a0bf44a4b57fdc4d27361a4e0c8f540da6ae4c1be9a349fc62efcd69e4028173215e164e1823d2645a6927edfa2fedeff8fa08491f218da76149 SHA512 db1450376fec703423c06a9d9e7b4e6bb13e02b0b4f0061de1b19e63c0d27379a5a7a6d7c2d7c938044ff37ca2fd245438e023dce5ee57caef9a91be315b05ee
+DIST a2wsgi-1.10.4.tar.gz 18186 BLAKE2B 7f184c1621dd28e75c12e85b85ca4ed0b1b55d59c79797429bc188feec0ee0105e77c3613b1c2f94e1561f71fdcbabae99218e2c007ab095dd68b0502d112444 SHA512 6c050dcaca4dab0793afb267d7cbcb4faca362495c46ab9f0b52c9f2f5a1ab7dfd6fa0c543b5eaa18ddca6a789093591653f023ac9c127602138db390ae1c975
EBUILD a2wsgi-1.10.2.ebuild 716 BLAKE2B 89f1f6fb34e94c39f518812a53d9e64c07db417196b557ff4754ccaecc0167be4a17ef656535a9a94fed2ba0252b9098bc898608fe602dce945c2214137c7e54 SHA512 fc24584516577a848d79ed09c485ca7f40b8fe003903765a330c48418114195b5bffb1befbbbe07fa1ac3bc3c0ba4044e95b5516ee8eac0724130cab80d29b63
EBUILD a2wsgi-1.10.3.ebuild 724 BLAKE2B 0e50baeefb442f014d0dc77bc734f6a3ddf47bf0b06e273f3ffe48ae2cc3c0c576fd7199f88e6b47079af87b6af6fd5185ecb464be671bbe70f702525cff7857 SHA512 afa1cc8956cd86e62cbcf9e3e5467bd140c58e98d6aec2f7f54afc3dccc592438383c6719dd4ed1750ba2df52dc27d20b3bf87b5fe5018db59a53b362a142303
+EBUILD a2wsgi-1.10.4.ebuild 724 BLAKE2B 0e50baeefb442f014d0dc77bc734f6a3ddf47bf0b06e273f3ffe48ae2cc3c0c576fd7199f88e6b47079af87b6af6fd5185ecb464be671bbe70f702525cff7857 SHA512 afa1cc8956cd86e62cbcf9e3e5467bd140c58e98d6aec2f7f54afc3dccc592438383c6719dd4ed1750ba2df52dc27d20b3bf87b5fe5018db59a53b362a142303
MISC metadata.xml 392 BLAKE2B 17f9cfa46eeac0752f6e27d004a04173528f5033dee30ba31bb9b0d86231b3311937e0765cba3cae0fcc8b9653654c9b53bbc009f15140db0b38496856b9c27e SHA512 828436206a1e9b01df9da1546ffc8e6bc614e71708ad8a806dda9ab2dad80c86e539c37496a0c2525f0370e9ead3131bbde69f235da83331cd5097985981006e
diff --git a/dev-python/a2wsgi/a2wsgi-1.10.4.ebuild b/dev-python/a2wsgi/a2wsgi-1.10.4.ebuild
new file mode 100644
index 000000000000..4dab2405e9f9
--- /dev/null
+++ b/dev-python/a2wsgi/a2wsgi-1.10.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Convert WSGI app to ASGI app or ASGI app to WSGI app"
+HOMEPAGE="
+ https://github.com/abersheeran/a2wsgi/
+ https://pypi.org/project/a2wsgi/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ test? (
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.2.7[${PYTHON_USEDEP}]
+ <dev-python/httpx-1[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/aiosmtpd/Manifest b/dev-python/aiosmtpd/Manifest
new file mode 100644
index 000000000000..569387f0be85
--- /dev/null
+++ b/dev-python/aiosmtpd/Manifest
@@ -0,0 +1,3 @@
+DIST aiosmtpd-1.4.5.tar.gz 152668 BLAKE2B 5f689e029afcc267b8b9f1863ce20d76bea16985d7fddac1e6cf0624d7bef6bbbe7089b4933bee8b5aaa74e63d996295e3684b3a7891b697608cbd311be92728 SHA512 c9507e25b5aeec442d299e13624ce00777ecf8089eee230b9cb9f92c18816cef890968c25144a56b95fd9b063b1440921841a16add624d717b8f6378d55c85a4
+EBUILD aiosmtpd-1.4.5.ebuild 757 BLAKE2B d161310f3e7788538776f9322369a8fe8522c7ccfa4bccdd28076e9fdcebecdfb3ee3b88a3d1166ef776b996f7ec013869003907e06435d901ec71a469a652f0 SHA512 b6d89e9974e0ed5cfb9414fac0e80e494ba2f47b831f0ce2b6c4bfd6fe88f9e2c7cf8621db1e93a8fd3acf5722034ccda198cd4c8fae7f4e54b9ca58b6907aa3
+MISC metadata.xml 406 BLAKE2B cd739d7ad278ddd958ea696ec4ed98c44a4a5cf719b93b09eeb7aae4af37e0bc755302d0c27b36645b291071d7ce16e45ef8e77275ef68cdc9f9cc759d2ffb1a SHA512 3f3459da7aa5b686f38b5554a64d0c8344bacab39429a19955b56b3b829f0aaf6fd5e6c337394134ba59c3b2d5b5be1fa1f917775b6827b56f055a8203339ed7
diff --git a/dev-python/aiosmtpd/aiosmtpd-1.4.5.ebuild b/dev-python/aiosmtpd/aiosmtpd-1.4.5.ebuild
new file mode 100644
index 000000000000..49dbf8d58d30
--- /dev/null
+++ b/dev-python/aiosmtpd/aiosmtpd-1.4.5.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Reimplementation of the Python stdlib smtpd.py based on asyncio"
+HOMEPAGE="
+ https://aiosmtpd.aio-libs.org/
+ https://github.com/aio-libs/aiosmtpd
+ https://pypi.org/project/aiosmtpd/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/atpublic-4.0[${PYTHON_USEDEP}]
+ >=dev-python/attrs-23.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? ( >=dev-python/pytest-mock-3.12.0[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/--cov=/d' pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/aiosmtpd/metadata.xml b/dev-python/aiosmtpd/metadata.xml
new file mode 100644
index 000000000000..850c71fdd27e
--- /dev/null
+++ b/dev-python/aiosmtpd/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">aiosmtpd</remote-id>
+ <remote-id type="github">aio-libs/aiosmtpd</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 313a4d61903a..602e2b2a2cfc 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,9 +3,11 @@ DIST boto3-1.34.54.gh.tar.gz 779564 BLAKE2B f61a74f6a317af6f180edb047e8c37e55c2d
DIST boto3-1.34.59.gh.tar.gz 782060 BLAKE2B d46f20f101f36380a17cb5c1bd511adde1b9fb01981566b863d192d0b93d9965a6720dc67ba47d4e1da94b3994dc5a6e59b1effa4e5c4f5e1e25f1683d99c40e SHA512 5d1d34339d60cd5c2efb60da885c4f92e5c245ef95bdaf46631d2938adf9fb08f7fba86ce2dd3e6382291d0d72c81aa9698cfe327d88c0b8ae8812d9c1e0b37c
DIST boto3-1.34.60.gh.tar.gz 782539 BLAKE2B d0fa63256b967b9a93139d4ee41e5892187cc54671b5a7c47b8e6900ac1b9ea7bae8d8b38a0f18432813a6085e2773b7c7b8686e9d5d7d13465b8547f0bb9e30 SHA512 f60ae6664ce19bdddb552d72c2f0699d8bd771e23f164e29f5c3c7869680528a6e9b8d678c7c0359dbe25c3e20077a7cf45efd01f207340dbe0ee6198e08a4c5
DIST boto3-1.34.61.gh.tar.gz 782749 BLAKE2B 058b8389a57c1e652789ddf9ce83f754ecd94e90f292f3d9ed70cc3456a547578591fa7d908838296186707074b874ac5898e5960022cfd3ecbac9e8cbefa8a0 SHA512 8b72e539def341676a928d346099b8076c21543606a0a02050aa792c95a898c0b00edeccc2c0eadf241071c78b859b4240b2e40e32c3a16dbbc4cbbfff89e9cd
+DIST boto3-1.34.62.gh.tar.gz 783049 BLAKE2B ad4272a4dfc02305e734c007d3e24f2dff8fd6fee20025b5edf76797e8d691e81f827e4e1d5357669ca86f5dbf41c5c2e09be16ac391153c9a158c292a79089a SHA512 717e0e5d59efaa6d2443b30f6f51f5c00c5f573219f5b4018d0b9142db04559c5eaf1fd27bc9f8875b0c7892e71532a2b090bc5b552dfb4852d253377437403b
EBUILD boto3-1.34.49.ebuild 1258 BLAKE2B 7f7ba2672f66400a4c2c202847d4bc7b57a0941b51f4f2f725475c38b6092c6a89687476db8bb701688ff47ccce491ffc435968a407ffc30ef860747573a1f43 SHA512 aebf347c928b4364a045a4bfb20edad39f9530fed5dfeef6b7e684feae0a146b71aa53cbb49f0b79e89671b97402aad447e6971df74ee44fef523ebad23f992c
EBUILD boto3-1.34.54.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.59.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.60.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.61.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.62.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.62.ebuild b/dev-python/boto3/boto3-1.34.62.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.62.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 970e7abe880b..678ed5ca2b42 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,9 +3,11 @@ DIST botocore-1.34.54.gh.tar.gz 12748623 BLAKE2B 2b4732636e0d7cf46e12fc2cf4320c7
DIST botocore-1.34.59.gh.tar.gz 12764223 BLAKE2B 13347793764afb8ef51502149f490e5082e65a76a3f72eb484d60ea44542dc8026ddfd6e6cc0c90273f6f3fbdc82e42bc6ad5f2c434900a881208ff79edcbf6b SHA512 5afe577889fed68308a414982c12d36ddc9ce1d7d7b866c544d1f25226050772775c7ee04e490f72d1f355a1f68fcfcb7431d626fa9a85f76065f2576de511cf
DIST botocore-1.34.60.gh.tar.gz 12765697 BLAKE2B c9aadf76475fe4cdd81d3aff1fd577bc177cb6f4702e8f4acbce8a5d2010a6440e792ae2accf7af3cfafca146b22ce9b239d76a25c8f9715b34d44212e9e2c73 SHA512 4d44646840dfaab1d5d45705be74df73df1b76dc345ee189c4d8b82cbffc5076701a34771823b18c4c52c4a8a9acc8c7e186ad25b7a735de95944d9f439ef8b4
DIST botocore-1.34.61.gh.tar.gz 12767176 BLAKE2B dd8fdd5fd15b4da9b1b8550dff8d2d51ceba0a1720665d0a9abdfd9519450eb6eb428f5febc58494f06e8406605ce0c8fb1e61ea1c3a25630c2b36944decad7a SHA512 da3299d3231c5b16a12b6ebb1456baea5ed94e8f05de75457b3ce2c9cdf2071c045c32326fdd84d29ac1d15e6379c40611db3ba07037498f6c43e79ef0880fac
+DIST botocore-1.34.62.gh.tar.gz 12768327 BLAKE2B 06e5fcf4fde0e17257864883c76d04e0b09ad932c6418b342d01a0631aa134a982b541b58ce2a5eb52802b0ea9432a0ea3f7761af346b172f84d48657b45e53e SHA512 daffa72c08c227f584b08d9d3400e7d6194d1adf6895e79dec9d33a6e4457469e4d89bb65e808e6783858cbdd0888ebfcf3352ebf6c757180a1a262389facb42
EBUILD botocore-1.34.49.ebuild 1477 BLAKE2B 784b43f060f0702808a3894fdab7a15dd4b4feeffc3c1ab2fe24cca762b2dc1310f40ae5b2941db5c4aa9c4ff8b69d858520826027a50ce975d25150132b4d56 SHA512 e86970ec900929641794d61e02f26bc7e7c8af803095dcc5c8fbedac9d79275c596176f2b492061289056c7d29ebbaa6e64344148f22b6349ac4420ab5038dca
EBUILD botocore-1.34.54.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.59.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.60.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
EBUILD botocore-1.34.61.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
+EBUILD botocore-1.34.62.ebuild 1484 BLAKE2B 30f7e11da3d7c36574e721023e7a0dba6ffe87172afec095dec711b929274a58d6a1352d131df44cd36598f11dda34df8d2e51e723b62e8ac096437360526aa6 SHA512 699735f1b1feb67c3b03d3e3787b45bfa3bc2ac6f639881b9414cdfc4aea5bb022d2e701d09061de5a237dcf3f32be4668b7ebc3f12cd950765b439d1ea4d88c
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.62.ebuild b/dev-python/botocore/botocore-1.34.62.ebuild
new file mode 100644
index 000000000000..ba6cd2a5d2a2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.62.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/ensurepip-setuptools/Manifest b/dev-python/ensurepip-setuptools/Manifest
index d9bff28b748a..95a6d23444e2 100644
--- a/dev-python/ensurepip-setuptools/Manifest
+++ b/dev-python/ensurepip-setuptools/Manifest
@@ -1,7 +1,9 @@
DIST setuptools-69.0.3-py3-none-any.whl 819530 BLAKE2B 6ecef64755181255d935e234f77db3a4a9ce6426621d5d95196f55820a6bd62ff6bd3efcbf2e66221501b0c7c5296a35f80d275c59a8075392a0e802ee6713f1 SHA512 20c68e4f279a133f33ac85885b2c7e05b68c8c2faf15c9bb251229a6668c5c6b54c4065c54a0b711dae36d7fd161d3dc34218c579e739a2b2c573b85ccc79820
DIST setuptools-69.1.0-py3-none-any.whl 819310 BLAKE2B 1aface76839a9e77de4b59a366f5aab927b08601f5343e243992b4bcf960d9456b827e296320469dee05ef0212561a25ec3bfad61970129117e86732e04c974a SHA512 40e7c427cb36255639b390b027cc0449006e1c676d8d832f924d2fbd900a433f1011078cb3734a89400deb645dbb4f6be574231597d8d32cf43fc10b3b9579e9
DIST setuptools-69.1.1-py3-none-any.whl 819326 BLAKE2B 47cbea9e1cde838d0727a279f8c19e58506425e3a3eae6a0385f66e0d710c68acb6f3fc45aa83a94717bd0a94d282ed1c6735a0d594e3949501c9d6fae05f0e7 SHA512 faf0851fc341184eb12e404b2a3fc549a99ea4016a6d8d8278fbc3d8632fddc4cf987e7640081ad49a4126f31922c68c74b975000b80a0ccdf1d3ecb780067e4
+DIST setuptools-69.2.0-py3-none-any.whl 821485 BLAKE2B 7b5fdc519f57327e323c15c12650d7c820909664d5f45e18f0c3203ced4c68b3f42598481158b3ae899f16ba56b702724f5b362757369ccc5d61a6cdeae64129 SHA512 fa6b2927b16c00a30b135373be399cfec7ab1b0e9b410de6502172d50ba2a191214a4a4adb443d362198d43e86a662565155ea4c8d37f3305e9f7d1aef724b25
EBUILD ensurepip-setuptools-69.0.3.ebuild 610 BLAKE2B 30d5981f264556c7910d7d2984d37173e3f2b30fc4c08a041e3e4bbf57ceeae35b02582112fc7b190320fccdf55f25e59d9966fa75bfe39fa23fea1986954a14 SHA512 6923031a97ac255e828fecc00f7c7ad99828a0aab5fe17ee3855462a0e8ec422d96cad81b6e938c2d0fc4eed197a22dd38b31c0e38c2e99c5854f171c8a706b9
EBUILD ensurepip-setuptools-69.1.0.ebuild 618 BLAKE2B 127ebf8ffb8c4bacd0032dcf268755c43c05c498e506b4e8904440460b06e6614456c40696b3e4aa5a74fda69340c07fa50700c0c8f704e3c2df1c831329b992 SHA512 ab22161ed8de46abcb525f9cc308bc4ba1d905125010734a1510f53bb9c440a24967f35730e7c30253f5d9f1d2320d9b6bb5804c907fefda0eee59a0338cc96a
EBUILD ensurepip-setuptools-69.1.1.ebuild 611 BLAKE2B 18a927f2d734ccb15db9274b285463fdde3ede4a3dab67d9011a7fa128813d66db3bf87466b1fb99b626b2d982c9dc27a20159d852bdb0008d462031fb1a6725 SHA512 e4244990eaab27a8611074e66e896137d932916dbbb0a760f97057662c66e7f31d509aaef276304b67d96d4dfeaef53fd37bb768bc2e2b58123e18f1448b16bd
+EBUILD ensurepip-setuptools-69.2.0.ebuild 618 BLAKE2B 127ebf8ffb8c4bacd0032dcf268755c43c05c498e506b4e8904440460b06e6614456c40696b3e4aa5a74fda69340c07fa50700c0c8f704e3c2df1c831329b992 SHA512 ab22161ed8de46abcb525f9cc308bc4ba1d905125010734a1510f53bb9c440a24967f35730e7c30253f5d9f1d2320d9b6bb5804c907fefda0eee59a0338cc96a
MISC metadata.xml 316 BLAKE2B 17947c657b45cb01758e222aa6051a459bf0bd9a026a73c0df0ae0c3a0c901f6e2315d459ee37036ecd283481a8d97791d64688c108a0706e745a739e3f9e8f8 SHA512 af18f4ae51b253552752e14210789988c815d0dbf0e1d8ff7057e48a09303c4abc1fb240d6f7f15fc0993b33e4c8ee395c2755754b3a2cbfd4c3a3f0dad41cfe
diff --git a/dev-python/ensurepip-setuptools/ensurepip-setuptools-69.2.0.ebuild b/dev-python/ensurepip-setuptools/ensurepip-setuptools-69.2.0.ebuild
new file mode 100644
index 000000000000..97aca4a61872
--- /dev/null
+++ b/dev-python/ensurepip-setuptools/ensurepip-setuptools-69.2.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared setuptools wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/setuptools/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/libvirt-python/Manifest b/dev-python/libvirt-python/Manifest
index d525f0f4da5a..2cb209e33c52 100644
--- a/dev-python/libvirt-python/Manifest
+++ b/dev-python/libvirt-python/Manifest
@@ -1,10 +1,13 @@
DIST libvirt-python-10.0.0.tar.gz 246385 BLAKE2B 0d3411d5d138fe57c6a5b73423479939182a4b9fde29c74ea832db3664db7da392bb15f0381c3ead949c36554cfdbf322441380293ffb016377dc9d4a6b57756 SHA512 4c3f51b2669ad7dc571f05ddeb75bb375640d27f77c1511e6682d8c7a77074210c48ea6c2e125ce8b04a1512df8a6a41e6a2d291e853dcaff84da213c89a6097
DIST libvirt-python-10.0.0.tar.gz.asc 833 BLAKE2B f90f76364c84dff7f7346ea06a630b7085f9c6c7c9bf671cc152287f2123a4f8d1fd8734c3a2771468a8e4748fb7e8628738403b45e688dc36d3972999ff24bf SHA512 fd6048d6a8f73145e7e0512e55a86740a923c671b75aa505cb58291e9809d9927400eabf636db94d9e7093b3eb2c11df0e36d8de24ba9944ae05a8885201ebab
+DIST libvirt-python-10.1.0.tar.gz 246933 BLAKE2B f95757c6e88271874f2e6c5efd52f4b075dee96902287b66f535f3d154eea58f7fa5156c7303c108eed34552917227cd0e1abbf4ce78d619dd113d24763780bb SHA512 b1a316703f577ebeafc6f96b5988f3716c24acfea674834c9034d488c456ca1d0386d602942ff4e0d2e947252a2d7049af4c6531407f9ff9a3b981c7c6c3fd37
+DIST libvirt-python-10.1.0.tar.gz.asc 833 BLAKE2B ae970da8b897efa3c8abf596fa653e2fed23e11dc1e1531093ce7fb1c3f9c76659fb71aab828a02c141bd59695eb6989a39f2c99fdd8494e40a8ded43c727fb8 SHA512 deb6af1a7d59bae6498175c842be7995262d0503a0614267b4fa8a157d5d094d8aacd34184b4149a0821750d57ba3ad36af1fec1f7e9532625bb620229bf404d
DIST libvirt-python-9.8.0.tar.gz 246277 BLAKE2B c333909d1f4fd32f9e05d42e468b3808971360bb8aaf35934ec25f8155f0231b2ff3bfd90944a50cf13e09cec3cf35fdf41fb5869b1683c1cd36b4767f2b3dd1 SHA512 c9871ca2fa9d18ae42c4aa76e9a7ba9f0a026061b058072c862c8fe402c2d2325189687e1490718360a9b8f6c13d8ae2adfbe54f79a367fb6be9fbde381f4901
DIST libvirt-python-9.8.0.tar.gz.asc 833 BLAKE2B 78e6556031c325674d26322d0a6a4dfc391dd050223bd6d939d30328fc7bb1a2f8671aae95eb3a37b916311e6f4c44a4c1929093844347e06dffa23480793e34 SHA512 b999d442f8e22d91ccf9988f53603159406b3aacd3469fd613ed24afd67722206eb2b319a1518bc7aa8cc12684f84685de885bd40c9ba7d9a94ef16cf03f6065
DIST libvirt-python-9.9.0.tar.gz 246357 BLAKE2B d2e6bc9f8ae3c722ffa18772e40965e7ef1acfb36a863d764ac39c694f687a078b6433cb780a27696f63c698c3e63d203ae1609b48ee31ea5cd95a21a3947666 SHA512 5a09b23b843080f2e55a7b00dc225e0bf23c9c23cac42ce4ffaff725020303745185482c2cc781d519020f50a335d4fa72a7a618bb2c1d0eb0845781d1b22ab7
DIST libvirt-python-9.9.0.tar.gz.asc 833 BLAKE2B bf7c3861f4a9d47478e7e9afcb21b8b8537f0baf525af462aebd849fc24510bcc575d851e06d8903d7480163b42520a4e4c88b7e01af90e7b759ea028839440f SHA512 bc509c67cd9d019f40994b415d7648d4e408a47758bf12a42653f315fd6e16d89568d59698922f73fbb11a858674d370222e41c7d1bba04e38a5665ddb1da853
EBUILD libvirt-python-10.0.0.ebuild 1458 BLAKE2B 2064e8915fdbbdf21ae3988653daf77f978ed86450ff72a609213bbfcefdfdeb8e604c4d41dbf88122856aebea657fc64901eb7a808c965c2aba8aeb9431ef1f SHA512 d5982669cf55f7e7b28a37c0a679119e88afc1357a6b5f00832254881d0b46f772bb974659e4b9df12f135cbcd82ea8e3e6870e8ec4b4164a718563e90b720d9
+EBUILD libvirt-python-10.1.0.ebuild 1458 BLAKE2B 2064e8915fdbbdf21ae3988653daf77f978ed86450ff72a609213bbfcefdfdeb8e604c4d41dbf88122856aebea657fc64901eb7a808c965c2aba8aeb9431ef1f SHA512 d5982669cf55f7e7b28a37c0a679119e88afc1357a6b5f00832254881d0b46f772bb974659e4b9df12f135cbcd82ea8e3e6870e8ec4b4164a718563e90b720d9
EBUILD libvirt-python-9.8.0.ebuild 1454 BLAKE2B 9c3b84c2bc43a54009f9dd6ed73597ae2551d237be099103f135d97d1e09ba8589e76a14d8602ab8220d8fdce85b67b10383da1df0ec98f61f5471a885e673eb SHA512 c623f3fd3f6afdbc50ddf2e6d9d70b3e77bf55aa1a9cb0b463bc79a074ae26078dfd646dcf624b8d644c0c4d5e4552ea702e6ab8f8b282fb428a7dc618b457c2
EBUILD libvirt-python-9.9.0.ebuild 1458 BLAKE2B 2055874dad10b4812e45c9112c4208795bd03a8418d0eac47b03e97438ef49b506f9b0535df90f6c29ed270051b1c4156e3ddfa06e2b38642b5468c873bd5c47 SHA512 41b87f1142930dad72c8bf888b62a5ec1d2a5b8b4e976057cb593964a3cdb16af3b4c2ca6b9bc6cfe469af9d203892134bbe80f816fe4bd3a17bbacf1869a464
EBUILD libvirt-python-9999.ebuild 1458 BLAKE2B 2055874dad10b4812e45c9112c4208795bd03a8418d0eac47b03e97438ef49b506f9b0535df90f6c29ed270051b1c4156e3ddfa06e2b38642b5468c873bd5c47 SHA512 41b87f1142930dad72c8bf888b62a5ec1d2a5b8b4e976057cb593964a3cdb16af3b4c2ca6b9bc6cfe469af9d203892134bbe80f816fe4bd3a17bbacf1869a464
diff --git a/dev-python/libvirt-python/libvirt-python-10.1.0.ebuild b/dev-python/libvirt-python/libvirt-python-10.1.0.ebuild
new file mode 100644
index 000000000000..83f8a3a26364
--- /dev/null
+++ b/dev-python/libvirt-python/libvirt-python-10.1.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Packages which get releases together:
+# app-emacs/nxml-libvirt-schemas
+# dev-python/libvirt-python
+# dev-perl/Sys-Virt
+# app-emulation/libvirt
+# Please bump them together!
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 verify-sig
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://gitlab.com/libvirt/libvirt-python.git"
+ RDEPEND="app-emulation/libvirt:="
+else
+ MY_P="${P/_rc/-rc}"
+ SRC_URI="https://libvirt.org/sources/python/${MY_P}.tar.gz
+ verify-sig? ( https://libvirt.org/sources/python/${MY_P}.tar.gz.asc )"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+ RDEPEND="app-emulation/libvirt:0/${PV}"
+fi
+S="${WORKDIR}/${P%_rc*}"
+
+DESCRIPTION="libvirt Python bindings"
+HOMEPAGE="https://www.libvirt.org"
+
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ virtual/pkgconfig
+ test? (
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+ verify-sig? ( sec-keys/openpgp-keys-libvirt )
+"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/libvirt.org.asc
+
+distutils_enable_tests pytest
+
+python_compile() {
+ # setuptools is broken for C extensions, bug #907718
+ distutils-r1_python_compile -j1
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/mkdocstrings-python/Manifest b/dev-python/mkdocstrings-python/Manifest
index 331967edafd9..c6c6bf6bff76 100644
--- a/dev-python/mkdocstrings-python/Manifest
+++ b/dev-python/mkdocstrings-python/Manifest
@@ -1,3 +1,5 @@
DIST mkdocstrings-python-1.8.0.gh.tar.gz 146162 BLAKE2B cd247b18de00dd4a53c287ec6d72461b0d0c2c95d49b20c24ce81d4304b92d48b8c8df78f35ad4749c928440ceddb4524ac64fcf3c99a50c18cbdaff9057f27a SHA512 5084df08a7d341b2e3ea93454706c38e2f29229122e6f2a277967c21c899d945cf4f6ae299782d8f6edffb48c1e23778ce445fb353727f2d5ceada74428ab3b9
+DIST mkdocstrings-python-1.9.0.gh.tar.gz 148843 BLAKE2B d84527c1eb03da4a1e154c8e592f91530cd3f90603063e1fcb0dc88cd0f9c5459a64d116c38154ffaaa557b6e298e28d51948c56979d87819de2665efa51bc30 SHA512 c6652f6027e3e416906b379b824bb59032439cb275a62a8bb0fd1f06324d485f582db5464358166f7b1545809bf929744cd3b96707e2c50132c2db5f3fa41785
EBUILD mkdocstrings-python-1.8.0.ebuild 866 BLAKE2B d8118f6db7a39fcb902ef9d323113ac9e5ff236f1a385332c5caae57f8b418f2cea7ef14f68c74f01a0f77dcc44466ba8bb8c28d356bd273f977d8c48f257c9e SHA512 ee796e0c8ddc1119e72d38ff0966b0c48eda8a293857ab760b08c4b4734992503572ea27b6ff1b3bf0b2dbcda2e6c9a176315366be8c45de6fb5cdb58ff7b7d4
+EBUILD mkdocstrings-python-1.9.0.ebuild 910 BLAKE2B b73e920a89547860ce338bea112db9d6215d9a02bccbdea48131e351a8d8998f3833be50d22fa060db2a79f68120c0521df438e98020b874ce8e0148921264ab SHA512 78d06df78c108c2e7671d21fe84d037ef4763d6ff23878cdbe5f105dc79b61b7615f7dd33421e70a264a6d8a991091f4ac19abc1a4eb7b78c04e7858b22ed0ca
MISC metadata.xml 411 BLAKE2B 0ac98abc8de945139a73e2083e8c04df749bd8c0c26c446df65218057182391ae025885fa5c5bde2d1139dde9916aa3baa0426d70b57326563c3fdaf466a20d8 SHA512 c7ec032c8ae7197452714dc2b541ccad1cf84d7844dafc4e7581ffb00c62c0fd2c38d453e62a7706d74d2d20146acdf1e99e502ab8bd8976acfd6f5a605e1c56
diff --git a/dev-python/mkdocstrings-python/mkdocstrings-python-1.9.0.ebuild b/dev-python/mkdocstrings-python/mkdocstrings-python-1.9.0.ebuild
new file mode 100644
index 000000000000..604d9b56a237
--- /dev/null
+++ b/dev-python/mkdocstrings-python/mkdocstrings-python-1.9.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=pdm-backend
+
+inherit distutils-r1
+
+DESCRIPTION="Python handler for dev-python/mkdocstrings"
+HOMEPAGE="
+ https://mkdocstrings.github.io/python/
+ https://github.com/mkdocstrings/python/
+ https://pypi.org/project/mkdocstrings-python/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${PV}"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/griffe-0.37[${PYTHON_USEDEP}]
+ <dev-python/markdown-3.6[${PYTHON_USEDEP}]
+ dev-python/mkdocstrings[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
diff --git a/dev-python/pandas/Manifest b/dev-python/pandas/Manifest
index 4b3538541950..b0490bc11f5c 100644
--- a/dev-python/pandas/Manifest
+++ b/dev-python/pandas/Manifest
@@ -4,7 +4,7 @@ DIST pandas-2.1.4.tar.gz 4274800 BLAKE2B 71cd374964d5e751a9ea0b29cb341d7de521de8
DIST pandas-2.2.0.tar.gz 4390211 BLAKE2B 205410d02d1295bfb68403685fb9247ca361c80233e762b8d798ff4a04fd1ca39e22bc3beb3f701490dbaf0a2d69a1afebbfe142ef646506c1d19aba88a1b5c6 SHA512 6de7f6941f08d412d5e6e3b33e7ad569afce4ade2eda9a68f2883e8ccefe8373212a1b80ac384e68522fb5a9c043de0b944b3920d07131ed6625363f2a4b0b5b
DIST pandas-2.2.1.tar.gz 4395256 BLAKE2B 7f66c2995699832930a626ff01b3b39bafa0bd19f41245b8b49bbf5a1b78663433060f4d94817498494b6cf66d38dde27da64e196c6400e50f30441d7e51991b SHA512 8e6af4793d8b77e5c86a22c88f999dba63b1cc1954f5148bdb8c9b1bfe4e7fc5004de7d0f035b2d651f56c44b28ba4b0bd304f9c9122426cc37fb97596e13746
EBUILD pandas-2.1.4.ebuild 9173 BLAKE2B 7d311b1edf63a0f43639c12945008098af4dc50b88215b08f291bf14400e35a772cfed4160b0060235f460a274e01807863e92d7d42d0f3594b45d58a2daaa4a SHA512 07ebc22c2dfa0b26d7ff921853699c9bc98ac69f4db63560b4b2475ff893da8506b9b9ce9e65482a332780361f9fe2db74e98169202bf934cdd6ea90ed40974d
-EBUILD pandas-2.2.0-r1.ebuild 9100 BLAKE2B e11fa8319a5379c1cc84817f1e7e087563ea2a46ec3ae88ba5253aac54c781c915a08c0853788fbbb6ce8eeabeaf94e8f8040fe5c5ea59d3b4bcaddacb5ff2dc SHA512 1851be5bd71484245d258cbe478fec2330f0f9d3d657c3fb08b8c820c3a3c3645957d6a75b91b4f6a6279adeac3135a4d991d44b39a7b7967a3125197c950b45
-EBUILD pandas-2.2.0.ebuild 9266 BLAKE2B ed8c09e81698289a487d55196667aa9a87bb50048f00150ee753a361a5e576d4a0212799a898befc70dff50340cdfd7825e487f2c1c5351444acf4011ee5b592 SHA512 defa45e2fa2d5d42945c1ecb2a0c150f9d5e21662fabd54b993f9dbd29ad405f67d19b389a2ff703c626c1a8966a7cfeb818323fa4bbd5b5d3f83000a74aee2c
-EBUILD pandas-2.2.1.ebuild 9109 BLAKE2B d48922b0a3ddfb309e090410657cebb0569487eecb824942c3d6a60bd9b6b276a9129f05c1740f7d7091f17e57a44506253faa18eb4b2c1be31c9ffc99c93be0 SHA512 d4ed0ee9e8fcb0df6105808a0a96aed3ee3702459f51f6be1f4cf6e345ddb11a24cece3ac1243686a7c50313152cf362b1a317ead8975cc9cc23e4a966822245
+EBUILD pandas-2.2.0-r1.ebuild 9098 BLAKE2B 543ba46543a630f23816ff317d0ab5dcf9baaeba0b276767ad325891ad8c6f810636b5f98afd4bb60fc49411e5f0170a355827105641961a73c575a6e816b6c8 SHA512 6766b9c8a392fb81fc3f5cc309e67a48c3b3c37e3137f6b811447697d534c39cae3ca9a3f581d437e9e39466bb194ef36b6304ff642bb6a94dccd588697d6e00
+EBUILD pandas-2.2.0.ebuild 9264 BLAKE2B d753c7aae4779dbdb163e6457dec8bd8a676f4997eb97389fc1532d7be7a6016fd401332fc70d3f1db62011539f79fbd4a7cf5f7930959cff242c390af328aca SHA512 9ea7aa40a3a3010690b53e23bf78ea7d1e544679402ac24134b43de2fac2b7b8f2ed709cae97a567361c16c5aac68dc01ed3928e1a6c3256791920187850f0d1
+EBUILD pandas-2.2.1.ebuild 9107 BLAKE2B 422c4a6c02b0f0726c21300aab00991e641122421a4228114bd610425a708a873e09d49513dfe4f80656c5254a285c1fa0c01aecbc5d2f5196596358c862a2a4 SHA512 b9daf2fe117d8ad7136b324cc31e5a7a853598fd65a443f0e404b2e7de6f2bc3fa52739980e166d17a48581c0e62a279748b7fef89f5f720b8c9314f4e1a22c9
MISC metadata.xml 920 BLAKE2B d6bd854acdd851d578038657d91adaedf4f220dbdc5905ebba5e35e74437c6d5bc2384061f7796a6f359aa128c526485635debfd0e1a9646d09daed740167c87 SHA512 dcd949e89cae9df918acb3cf8be5ad8c396ee5e646d2179aa2b646fafa15ffc11e9ccf853df8d7fdcc787f88ce7063639d8d87715aaba943774edc8ad98b540a
diff --git a/dev-python/pandas/pandas-2.2.0-r1.ebuild b/dev-python/pandas/pandas-2.2.0-r1.ebuild
index d31ab6a933f1..cfe7a5d1adec 100644
--- a/dev-python/pandas/pandas-2.2.0-r1.ebuild
+++ b/dev-python/pandas/pandas-2.2.0-r1.ebuild
@@ -72,7 +72,7 @@ COMMON_DEPEND="
BDEPEND="
${COMMON_DEPEND}
>=dev-build/meson-1.2.1
- >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/cython-3.0.5[${PYTHON_USEDEP}]
>=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
test? (
${VIRTUALX_DEPEND}
diff --git a/dev-python/pandas/pandas-2.2.0.ebuild b/dev-python/pandas/pandas-2.2.0.ebuild
index b8d28f4e1670..fbdf259abfca 100644
--- a/dev-python/pandas/pandas-2.2.0.ebuild
+++ b/dev-python/pandas/pandas-2.2.0.ebuild
@@ -72,7 +72,7 @@ COMMON_DEPEND="
BDEPEND="
${COMMON_DEPEND}
>=dev-build/meson-1.2.1
- >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/cython-3.0.5[${PYTHON_USEDEP}]
>=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
test? (
${VIRTUALX_DEPEND}
diff --git a/dev-python/pandas/pandas-2.2.1.ebuild b/dev-python/pandas/pandas-2.2.1.ebuild
index b98c3bb05a56..0f382e72b7f6 100644
--- a/dev-python/pandas/pandas-2.2.1.ebuild
+++ b/dev-python/pandas/pandas-2.2.1.ebuild
@@ -19,8 +19,8 @@ HOMEPAGE="
https://pypi.org/project/pandas/
"
-SLOT="0"
LICENSE="BSD"
+SLOT="0"
KEYWORDS="~amd64 ~hppa ~riscv"
IUSE="full-support minimal test X"
RESTRICT="!test? ( test )"
@@ -72,7 +72,7 @@ COMMON_DEPEND="
BDEPEND="
${COMMON_DEPEND}
>=dev-build/meson-1.2.1
- >=dev-python/cython-0.29.33[${PYTHON_USEDEP}]
+ >=dev-python/cython-3.0.5[${PYTHON_USEDEP}]
>=dev-python/versioneer-0.28[${PYTHON_USEDEP}]
test? (
${VIRTUALX_DEPEND}
diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 2ea5da627e09..9b28fa568fed 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,3 +1,5 @@
DIST python-phonenumbers-8.13.31.gh.tar.gz 4915554 BLAKE2B bf8f8f8fb43f7f5b39ce3155a2f8f4f9497734bdf016c2f871e16354b50072dde106a5549d998ae48ee7e41b0517fdc73c68e3dd18960b45c13c85001ae170d4 SHA512 724d8adf172e1a12e6d89ad104bc89330f02c4eab6b23812cd09464ddc4002a13c90b8a47456ebe99018a21c18ed7ea71f85f3fe80f4f823f0f35c95fb22d513
+DIST python-phonenumbers-8.13.32.gh.tar.gz 4915667 BLAKE2B b5c76292e405255c0acdf8d3fbaff10701fc7cbfe948c4d73397458ffe18be41d0ba0d61bf2a67a25fd729cdbfe2de125616a2d433afef0fc49dd6fe01ac3fc2 SHA512 12d8ae16d701b4b6134928eea8c13cd84443e26f887974abb2cde374233dacf8489b0d8f43da29faa6170177d378568cfa01237bac38049d3f350bc344842b0e
EBUILD phonenumbers-8.13.31.ebuild 816 BLAKE2B 9a91edd2625fc7c277ba2897cb9d647aeee717ba6373697ab134e865b326990650b49bbaccc04ef442e326fea751b25c4dfedf4fefbedeaabdd83df64e551ebd SHA512 263c125e0c820cd1e0924e891444256676cf3e427b8f2ff1f0788584802c9cb55c496cd60619ea55cb7cb88a1ae5a7b7594057fc99f58b709b951a84203e5766
+EBUILD phonenumbers-8.13.32.ebuild 818 BLAKE2B 9bf355913b9ee3be2b380dfa5f679c08da753ead0df156ede2bf5e6499699814a7cfa6e51988d987cd92f632b07d222fb9cf261a0eae7bef32d55ededef6e406 SHA512 8656a45bd6078afd23b7f511c8223b20e00df91e35324c8a8ad6bc43b73700ebdb3ad28b98c29338939bd1144f48a715eb4f36f616481fa002ba5d0bab22e17b
MISC metadata.xml 413 BLAKE2B 4fa9965e76205ab35de37314b8c06fae26ccf34a944401e672487d7ad42b0046b4de85c8dd4c500d2703b5ecca49755b3f6d9047a20d7226fdbdf63e0aca3220 SHA512 de88d4162ba8f97748a1d2a17a8bea48f59b84f67c76aec11a9bad8ab0d0b66bc9cc2395dfff446bbad591f52f755a38ccd0daf2480b4f2e22e80ce5d44a42c1
diff --git a/dev-python/phonenumbers/phonenumbers-8.13.32.ebuild b/dev-python/phonenumbers/phonenumbers-8.13.32.ebuild
new file mode 100644
index 000000000000..2fc9bdbaa7c9
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-8.13.32.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+ https://github.com/daviddrysdale/python-phonenumbers/
+ https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+ https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+ "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index a916dc5498a1..baae9b2322cd 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,4 +1,6 @@
AUX plotly-5.8.0-fix-versioneer-import.patch 541 BLAKE2B 51ff6cbab8d9124243445f758aa4b976b7c26e1d3ce633e943bff133b81c0a7587feeb9d5e98a63f319c6afed8dc06e06fafe765ffd51fec245215c849fb4955 SHA512 db4743e538dddfe66e4c9c766698844af4d09c68188afefe92b6419adfe7cc0b1e9c1266d702d590b0b8dfc14bffbc8f08262ead0bff4dae3b5c71fa1259a4b9
DIST plotly.py-5.19.0.gh.tar.gz 30892237 BLAKE2B ef93c54bdc40a5f25448a7e68dc40b3642c8be60945edc39e3e590eb97973896cb0df54cd8ea9928a2553d50de1bf17997b41947711baaedce075e31709581ce SHA512 a97f5d130fd56b49087e7b10c34cfe2aa21f00afd1f252215f7cec2215d9031f5f6204a6445ea7a69d7aed0c6838b3d76f981c076af93fa9406ff37a0020e4e7
+DIST plotly.py-5.20.0.gh.tar.gz 30896587 BLAKE2B ef8deee791b8fdc94dcd3dae1189fc04569d9156593f13bd44715bc4f7b2846642eab19a1bb6084647ed15b1c961ffb207f19369f94cbba3e999e970c0b7cfe7 SHA512 db73334bf32fcd54f717aa0e04378278045fabba3824d645e4e289cfd559655141f350624196d8e55d988befc27a4a64d741b11a84925969aadc720c6c15bee3
EBUILD plotly-5.19.0.ebuild 3388 BLAKE2B af70d758c974e10af6b52cfb299d00dab3c05f2a8614050231686916ce4b6943803aec8bc379169a5f4a10923328610c2c8226989a409c5bfed907c9a3a1cf33 SHA512 0d9d8eaa17c176663a4a46311e04f7831c85efe7134e52f98434231fa4ae823e72400893eae10b059aad9bab9bc7a6f9f4194b9b809d205c1efde39f8b26d0ee
+EBUILD plotly-5.20.0.ebuild 3388 BLAKE2B af70d758c974e10af6b52cfb299d00dab3c05f2a8614050231686916ce4b6943803aec8bc379169a5f4a10923328610c2c8226989a409c5bfed907c9a3a1cf33 SHA512 0d9d8eaa17c176663a4a46311e04f7831c85efe7134e52f98434231fa4ae823e72400893eae10b059aad9bab9bc7a6f9f4194b9b809d205c1efde39f8b26d0ee
MISC metadata.xml 627 BLAKE2B 453adb04f4caba9790fe5223635245c8bca7ca5c6dc1930f09537045580b88b5fa1649e47158b13be6cc5cb09b4479a47690e37ef13208b47a95f82d14793a91 SHA512 a5183e9d217d1312e8d383ccb4ade66b92575492b6c8ed8987e3af18e9e456836b62b2d572ce62f9e01aae47b4a2bcbd12f79b4bb6acabfe69c2b63b20315bd3
diff --git a/dev-python/plotly/plotly-5.20.0.ebuild b/dev-python/plotly/plotly-5.20.0.ebuild
new file mode 100644
index 000000000000..2907cb22ae91
--- /dev/null
+++ b/dev-python/plotly/plotly-5.20.0.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+MY_P=plotly.py-${PV}
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="
+ https://plotly.com/python/
+ https://github.com/plotly/plotly.py/
+ https://pypi.org/project/plotly/
+"
+SRC_URI="
+ https://github.com/plotly/plotly.py/archive/refs/tags/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/packages/python/plotly"
+# The tests are not included in the PyPI tarball, to use the GitHub tarball
+# we have to skip npm, which means that the resulting install will
+# unfortunately lack the jupyterlab extension.
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/ipython[${PYTHON_USEDEP}]
+ dev-python/ipywidgets[${PYTHON_USEDEP}]
+ dev-python/jupyter[${PYTHON_USEDEP}]
+ dev-python/jupyterlab[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/shapely[${PYTHON_USEDEP}]
+ dev-python/statsmodels[${PYTHON_USEDEP}]
+ dev-python/xarray[${PYTHON_USEDEP}]
+ dev-python/scikit-image[${PYTHON_USEDEP}]
+ )
+"
+
+# README ends up a broken symlink
+DOCS=()
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.8.0-fix-versioneer-import.patch
+)
+
+EPYTEST_IGNORE=(
+ # Needs porting to newer numpy
+ _plotly_utils/tests/validators/test_integer_validator.py
+
+ # kaleido not packaged
+ plotly/tests/test_optional/test_kaleido
+
+ # plotly-orca not packaged
+ plotly/tests/test_orca
+)
+
+EPYTEST_DESELECT=(
+ # Also needs porting to newer numpy
+ plotly/tests/test_io/test_to_from_plotly_json.py::test_object_numpy_encoding
+
+ # kaleido not packaged
+ plotly/tests/test_orca/test_to_image.py::test_bytesio
+
+ # Fails if not already installed
+ test_init/test_dependencies_not_imported.py::test_dependencies_not_imported
+ test_init/test_lazy_imports.py::test_lazy_imports
+
+ # Minor matplotlib incompatibility
+ plotly/matplotlylib/mplexporter/tests/test_basic.py::test_path_collection
+ plotly/matplotlylib/mplexporter/tests/test_basic.py::test_legend_dots
+ plotly/matplotlylib/mplexporter/tests/test_utils.py::test_linestyle
+
+ # In python 3.11 the produced error is slightly different
+ plotly/tests/test_core/test_errors/test_dict_path_errors.py::test_described_subscript_error_on_type_error
+
+ # TODO
+ plotly/tests/test_io/test_to_from_plotly_json.py
+
+ # two subtests that require 'vaex' and 'polars' respectively
+ plotly/tests/test_optional/test_px/test_px_input.py::test_build_df_from_vaex_and_polars
+ plotly/tests/test_optional/test_px/test_px_input.py::test_build_df_with_hover_data_from_vaex_and_polars
+)
+
+# There are sphinx docs but we are missing a bunch of dependencies.
+# distutils_enable_sphinx ../../../doc/apidoc
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not try to fetch stuff with npm
+ export SKIP_NPM=1
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ mv "${ED}"/{usr/etc,etc} || die
+}
diff --git a/dev-python/pyasynchat/Manifest b/dev-python/pyasynchat/Manifest
new file mode 100644
index 000000000000..986c8895b1d8
--- /dev/null
+++ b/dev-python/pyasynchat/Manifest
@@ -0,0 +1,3 @@
+DIST pyasynchat-1.0.4.tar.gz 9747 BLAKE2B e38edd9e35ce31f9015b934a5d4edb96053ff239978359f13e5b74ac9b8160029556207f79a199d82085882e80d88fc8033f9085f986b48dfaa50de780576197 SHA512 d36eb16770637a311d56fe22229de5a3cdfa699ae64fbafcdd5ce9acd43270b90813fe56db14528083ee1803a43d958d0b3b6616e0bbf907a4dd4a563981a278
+EBUILD pyasynchat-1.0.4.ebuild 531 BLAKE2B 6a96f9d8db7eee4e86426ad786207f20df1f5514b239990f639c6062ea866a97183fecea8d2a032ec1adf6147e281df159e756c173f17f36954ad243b16298e8 SHA512 016e32464180f7b762d980e7e66f7a9e9e773aba8f7b2b67050d47cb6e330ef922aa26757b838654bd21662b05bfae64181a1483ed7a9ba33ef1abc370a7c620
+MISC metadata.xml 410 BLAKE2B 9e60dac1e4ef47dd2d5a1811c8ecb03d6b0f8ca88ca22b0717309d74e762f4807db9a240a58dff57b5bce05d6988da02a9961854a65b4442b6d45fdd0251f0e1 SHA512 efdcaf76cdb42d8949e9c5f660b28e782f13510f67f5395d5966551ac8e9c0f4272b64f4c8b6876838306d43b74d6c6ebe9e495d8f08545fc7cee2ecddf6a42f
diff --git a/dev-python/pyasynchat/metadata.xml b/dev-python/pyasynchat/metadata.xml
new file mode 100644
index 000000000000..ea538f30a8bc
--- /dev/null
+++ b/dev-python/pyasynchat/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">pyasynchat</remote-id>
+ <remote-id type="github">simonrob/pyasynchat</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pyasynchat/pyasynchat-1.0.4.ebuild b/dev-python/pyasynchat/pyasynchat-1.0.4.ebuild
new file mode 100644
index 000000000000..b718b5d203ef
--- /dev/null
+++ b/dev-python/pyasynchat/pyasynchat-1.0.4.ebuild
@@ -0,0 +1,26 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_12 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Make asynchat available for Python 3.12 onwards"
+HOMEPAGE="
+ https://github.com/simonrob/pyasynchat
+ https://pypi.org/project/pyasynchat/
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=dev-python/pyasyncore-1.0.2[${PYTHON_USEDEP}]"
+
+python_test() {
+ # Can't use d_e_t unittest (bug #926964)
+ eunittest tests
+}
diff --git a/dev-python/pyasyncore/Manifest b/dev-python/pyasyncore/Manifest
new file mode 100644
index 000000000000..ea2fe7eea5a3
--- /dev/null
+++ b/dev-python/pyasyncore/Manifest
@@ -0,0 +1,3 @@
+DIST pyasyncore-1.0.4.tar.gz 15339 BLAKE2B 1cc689c94dc7fe4f4c75a78cf58a0afabbe48f01b8c1511f9500b93b64b862dc1c7cc653e17a49786af9360441fcb45be03fa38c72c2e89ec05385fd8bfc648a SHA512 43746fca009f7acc5f05506c7d54e71ee74a76a112c3689aa98ab714f0452d1ed1196836bf52585bbbced2d64c1d4ccd86f8f5c2d2c5537fdc397e29d0d87008
+EBUILD pyasyncore-1.0.4.ebuild 472 BLAKE2B 5fc176f6aa35848152b291e8f0c1a2c016dec6169397d0e168fddc7e5e35c4824422d81d9d676b092b28cbf27d485a9867d395a2f5b28839472aa291db2179bd SHA512 c46b6f4abfd67f9d73c4ddbbbcdb3d8c526032e72f8d30fb8cbdf1ce18e21b6b188ef7d8dd8216af687e0c65885b160ef968fc56d24d7dfb598dceb77cd5bce2
+MISC metadata.xml 410 BLAKE2B f69eeb55bd7570cb72b1dfc228c0ee3fd14bd4abd8b58d279c4672af0476ae1f84ee8c2aeb40208daa5a266479d881f5b8f7537da37af8118be2f16bdb21bb3f SHA512 71e37573484b24241176e588db3d9d0426db443555c15e258acf83a47fbd2158a5d6bc631bb5a58a4bc6d855a76f79361013ab08204293c95be6e0dfc3beef53
diff --git a/dev-python/pyasyncore/metadata.xml b/dev-python/pyasyncore/metadata.xml
new file mode 100644
index 000000000000..062106caae26
--- /dev/null
+++ b/dev-python/pyasyncore/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="pypi">pyasyncore</remote-id>
+ <remote-id type="github">simonrob/pyasyncore</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/pyasyncore/pyasyncore-1.0.4.ebuild b/dev-python/pyasyncore/pyasyncore-1.0.4.ebuild
new file mode 100644
index 000000000000..e019b13f2aea
--- /dev/null
+++ b/dev-python/pyasyncore/pyasyncore-1.0.4.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_12 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Make asyncore available for Python 3.12 onwards"
+HOMEPAGE="
+ https://github.com/simonrob/pyasyncore
+ https://pypi.org/project/pyasyncore/
+"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64"
+
+python_test() {
+ # Can't use d_e_t unittest (bug #926964)
+ eunittest tests
+}
diff --git a/dev-python/python-ptrace/Manifest b/dev-python/python-ptrace/Manifest
index 649c9f520a05..7d901a89db65 100644
--- a/dev-python/python-ptrace/Manifest
+++ b/dev-python/python-ptrace/Manifest
@@ -1,5 +1,7 @@
AUX python-ptrace-0.9.8-python3_12.patch 914 BLAKE2B a0e4f4dee0baf98e398c8618d92fb5fe60817ed4dea0f577795017c2ad3ae89b1936045d65c161b104169ab3f786d824a5038f0a078452bbae265588b621b4fd SHA512 2b9470247ee6ea92bf20402f51595b4aba43f4c3b85db13b701cf7aefe52f28f4a1a7d122e4422217286363c8b05d338e671c99cca55c9bdae3d993c42a43578
DIST python-ptrace-0.9.8.gh.tar.gz 104079 BLAKE2B 3d387beca9c92c0e3bbd5cf2c9d2af447c233b631e894ce1af2cdc697a1a48e24a299bbc998cd187ac9ad0f45bfc886f476afdb69329d761e8730a047731126b SHA512 f50ba7d457bf20a161a99913a552f2e829e97975d7cfbf8cf5d89b4f2320772b537678f2e70b9aaa88341c4f01d4bf41f62683e913628db503152f3510a013a3
+DIST python-ptrace-0.9.9.gh.tar.gz 106526 BLAKE2B ff9b85e17fd8d767c3fd1db13f1c69ad0b4e7d47379d6ee9468d9424702d34d7a7a7489590987213707829ab62e5eb83df277d3b60de6d2ad05ac99b93586ca3 SHA512 5f2291a4ca642ab99c49e853f12a3cd4ee911df45326fe077ef5df82b813b54a4351c3c23a195b65342af37aed8ecbc26968f65ce9b6a974863bee0ffd556039
EBUILD python-ptrace-0.9.8-r1.ebuild 763 BLAKE2B 001d69fc700340c3910db5fa33a14962b363034d1f0e0c064dbe128885beac4172a5bd929627c6a370dba82b5b940e12ba1aa75a06ede4d4a92b7313b1be2e49 SHA512 00518e7fff2673de14d66e4eef2d033a577ec41227d19d4e63226a950a7a1e51ed87ca9abf361934aacb6056e2ced647bae228746917feb6d7893af0df94cfbb
-EBUILD python-ptrace-9999.ebuild 714 BLAKE2B 4fb5fc31dcc2a7ee44b66610753f5dda1615e49caa19b008236a6375b53e6037c2ed9701f318f02baedf840a9b825b482d6ef6470e7a68119d76d5cdc282efc8 SHA512 e088c4e2f360069b4182ad2ff8eb8dfb80734ec3bc608f4f5d2bb1cfc7628715ac33f093a9b57343a568bd1ee3307f042e1176a33298c3df3dcdd825d4422f85
+EBUILD python-ptrace-0.9.9.ebuild 715 BLAKE2B ce678a857463c5146e1c8bde1e57c4581989e2a717a7b2687dd32eba423cb911044da24fe47ee650a0abca64da9d29f747599b06034673ee45835b276adcc8db SHA512 78297c26b7eabc834607ced38fd4407ba97af3d3510764d52fdce61ee66c0d28b31f43608f2894d8bd8a6b1f552b11b3818a65e282f75039731250b09e60d053
+EBUILD python-ptrace-9999.ebuild 715 BLAKE2B ce678a857463c5146e1c8bde1e57c4581989e2a717a7b2687dd32eba423cb911044da24fe47ee650a0abca64da9d29f747599b06034673ee45835b276adcc8db SHA512 78297c26b7eabc834607ced38fd4407ba97af3d3510764d52fdce61ee66c0d28b31f43608f2894d8bd8a6b1f552b11b3818a65e282f75039731250b09e60d053
MISC metadata.xml 674 BLAKE2B f247cbce73a3bc785c4747c79a4fa99867dd75255d3a18f91de90179019ac2ef2e85da096107029d8f50f4565dcae14e1bc26e91f7ab882fa6cc9572ee8743a4 SHA512 08dca730bfc844e8ec06bd0d7914c23d8f74d1ebc54e22b99206de5240bd256d30dfe702cac9c3825b283be55be8a0111fc2f24482186f4b7bb24c6bc8369f94
diff --git a/dev-python/python-ptrace/python-ptrace-0.9.9.ebuild b/dev-python/python-ptrace/python-ptrace-0.9.9.ebuild
new file mode 100644
index 000000000000..7ec5c32d8f28
--- /dev/null
+++ b/dev-python/python-ptrace/python-ptrace-0.9.9.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A Python binding of ptrace library"
+HOMEPAGE="
+ https://github.com/vstinner/python-ptrace/
+ https://pypi.org/project/python-ptrace/
+"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
+else
+ SRC_URI="
+ https://github.com/vstinner/python-ptrace/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+
+distutils_enable_tests pytest
+
+python_test() {
+ "${EPYTHON}" runtests.py -v --tests tests/ || die
+}
diff --git a/dev-python/python-ptrace/python-ptrace-9999.ebuild b/dev-python/python-ptrace/python-ptrace-9999.ebuild
index 38400e564dc8..7ec5c32d8f28 100644
--- a/dev-python/python-ptrace/python-ptrace-9999.ebuild
+++ b/dev-python/python-ptrace/python-ptrace-9999.ebuild
@@ -1,32 +1,35 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
DESCRIPTION="A Python binding of ptrace library"
-HOMEPAGE="https://github.com/vstinner/python-ptrace"
+HOMEPAGE="
+ https://github.com/vstinner/python-ptrace/
+ https://pypi.org/project/python-ptrace/
+"
if [[ ${PV} == 9999 ]] ; then
inherit git-r3
EGIT_REPO_URI="https://github.com/vstinner/python-ptrace"
else
- SRC_URI="https://github.com/vstinner/python-ptrace/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+ SRC_URI="
+ https://github.com/vstinner/python-ptrace/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-2"
SLOT="0"
-RDEPEND="${PYTHON_DEPS}
- dev-python/six[${PYTHON_USEDEP}]"
-
distutils_enable_tests pytest
-src_test() {
- ./runtests.py --tests tests/ || die
+python_test() {
+ "${EPYTHON}" runtests.py -v --tests tests/ || die
}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index 86fdbc6de6d5..ff4f88dd5969 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -1,6 +1,8 @@
AUX sentry-sdk-1.21.0-ignore-warnings.patch 329 BLAKE2B cdb4295e600d868feb11b4a0af534bca90a1fa777344d56c945ddcfe71b3db10848df4032df06b9acf84cf574bec04dce4dc8935dd7421a6d0a2a011db337d6f SHA512 d1b5c50c78d1bb299280c4937fc8a8fdfc7d174d41061a32b57178c4dee58ab4b4b7afe8566a6b79244e53be8714b3ee7fdc9bf3401835d6d743e9fdc5a0aa05
DIST sentry-python-1.40.6.gh.tar.gz 460979 BLAKE2B c1df8479e8464480985a722cbbb078af071087e2f8f8c99cdd2675c732ae88c721bc99c5f16aa409552620fe1c89d0668b52b4d2662a6e53bec8eebbb56960c1 SHA512 6eb8237a5cdcd0e10f52cfb660b45f4873da9c10dd0f249d5c4d3a714def4256433a16835a17562dbd2f77b39dc7d50fd7d1b9807bdcac634763879c0a0c9aa3
DIST sentry-python-1.41.0.gh.tar.gz 462664 BLAKE2B 6c0b8256d639682124db51e27f81458930a53885682c3441edcfe12bdff4e63aec5fed78a88f9c13002efb9ea1ed064d8694c4e80bbcdf14c3fa4f394a884273 SHA512 5e58d5a7f06e3afb35645186373a9e6ef87ced3c11ddafcaa45e6a6760d08a812ef1c839d28e91ffd9844c64255e48001bd503536c15ba43366518685b764936
+DIST sentry-python-1.42.0.gh.tar.gz 468530 BLAKE2B 787da292e9e218e195deae022274d74c032f5749ecf86be45cfa59de10b2ab4281e0ddcb6fdd804f887fa63ca669c9f4db4396a1077647be8438524c6edba081 SHA512 88bf44f4b214d1accd28744ac5300681ee8f6d23f4508f1df043366c9c758251e63f5aede778e8584c778c209f9c758d12743109798a746d2599aa7d7f53550b
EBUILD sentry-sdk-1.40.6.ebuild 5681 BLAKE2B 8b2a218f7d93834afaafde58f4a344caa8ffb04274b327c8fb65bfd98a382ab1da5b68bd78f47682a57a96a83836b70365ff4d479d99f17e1318b5c143dd8db0 SHA512 8a3d61365e09d4626a964c47e59eb1e0a25da35c2041887e85e5a93bbea12bac31eeaafae577b7f5d4c9e88dd31684a2029022dfdf0a9e48a5c20c6af97a0993
EBUILD sentry-sdk-1.41.0.ebuild 5685 BLAKE2B ff541097703666b7a31b256c91ddecb802d5a133a3b01e692a5398af7f8bc2e4ed00ddfdc54b69b999a7629add25273a6a91c7086e71d2b0eb3e8e835158b68d SHA512 24e0bfe931e0a2790c6e5a7dd610608fcc2d1646b2a6826f54b4de2287576bb4b5f02208b44ff2b955f6f7f23898b9042d6d6ae0522d06d9c8f28ea45ba420e1
+EBUILD sentry-sdk-1.42.0.ebuild 5685 BLAKE2B ff541097703666b7a31b256c91ddecb802d5a133a3b01e692a5398af7f8bc2e4ed00ddfdc54b69b999a7629add25273a6a91c7086e71d2b0eb3e8e835158b68d SHA512 24e0bfe931e0a2790c6e5a7dd610608fcc2d1646b2a6826f54b4de2287576bb4b5f02208b44ff2b955f6f7f23898b9042d6d6ae0522d06d9c8f28ea45ba420e1
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.42.0.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.42.0.ebuild
new file mode 100644
index 000000000000..bd77eeba0b1a
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.42.0.ebuild
@@ -0,0 +1,153 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+ # requires AWS access
+ tests/integrations/aws_lambda
+ # requires quart_auth
+ tests/integrations/quart
+ )
+
+ local EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_custom_session_cookies_filtered
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_session_cookies_{filtered,removed}
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+ # this is not even funny
+ tests/test_utils.py::test_installed_modules
+ # flaky hypothesis stuff
+ tests/test_serializer.py::test_bytes_serialization_repr_many
+ # TODO
+ tests/integrations/aiohttp/test_aiohttp.py::test_basic
+ tests/tracing/test_decorator_py3.py::test_trace_decorator_{,a}sync_py3
+ # crashes Python
+ tests/integrations/grpc/test_grpc_aio.py
+ # hangs
+ tests/integrations/threading/test_threading.py::test_propagates_threadpool_hub
+ # TODO
+ tests/test_utils.py::test_default_release
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_orm_queries
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_transactions
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_query_source
+ tests/integrations/stdlib/test_subprocess.py::test_subprocess_basic
+ tests/integrations/threading/test_threading.py
+ tests/integrations/wsgi/test_wsgi.py
+ 'tests/utils/test_contextvars.py::test_leaks[threads]'
+ # skipped without gevent but breaks stuff via broken teardown?
+ tests/test_metrics.py::test_no_metrics_with_gevent
+ # TODO
+ tests/utils/test_contextvars.py::test_leaks
+ # broken teardown?
+ tests/test_client.py::test_uwsgi_warnings
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p aiohttp -p pytest_forked
+}
diff --git a/dev-python/setuptools-rust/Manifest b/dev-python/setuptools-rust/Manifest
index 856a003fe8ee..5d0743cad5eb 100644
--- a/dev-python/setuptools-rust/Manifest
+++ b/dev-python/setuptools-rust/Manifest
@@ -122,5 +122,5 @@ DIST windows_x86_64_gnullvm-0.48.5.crate 418486 BLAKE2B 12a2199d434617c1df1a839e
DIST windows_x86_64_msvc-0.48.0.crate 671422 BLAKE2B abb063610dcc38581657133182b7d9efeed5553df67bd2bd6f30f1668a645186e4824f9ef556a5abc84ace10b1b437b6325bbda6df5a64ce880d7dcb743ac786 SHA512 6e598b8e3ac54912a8ebac01b0dd2c58fd282072527d7fedc7f6ebecdfb7dcb09ae46c22293bc0117849437f8b053db5e90406e7a38276f0f0afd06be3966795
DIST windows_x86_64_msvc-0.48.5.crate 798412 BLAKE2B 8abc0721e2fb337fe17c91d278947d36122d9045b839ba0cf3e690202d242265b676f23cc301da5f9d98c56ca4ecb76f7d6f072ee71bf986a1deca87020b90e5 SHA512 fa1c5cd14ca2ff0082e2504cf59d317dc4dc6f7138d35c12f95d4476a9c13d8b7f5537d0ee251eee7c99411ad31b22263171b7fbd391daa5d3ea3488ceaa61a0
EBUILD setuptools-rust-1.8.1.ebuild 4301 BLAKE2B bcd30b58f0e22777cb420a0575b30ef8594c7ffd13500ef2498b7fe6b31c8fefea38128788f07ef26ffde29149941fa044d1767e20ba4d747efc43fd95874cb7 SHA512 51927a6250daf1884bdde582350e4a4a9d68f90a6985da90c4abfb103ac9f35d0a710dc9cb62c5c4983c9d402888cbab06f7766e2d4cf692e358a61d3875ff19
-EBUILD setuptools-rust-1.9.0.ebuild 4017 BLAKE2B b19e4366527869b1c1ee31c71cd8b99e0d94a685921ef3adac406c75fdb72a76aff40f0797d2c84e3ce4d92acff32e592c03dab101ca47d7ad2cc373541da706 SHA512 576256285e31b1ad2e0a44d6efe81fe1bf0bc3be2553d0005d05dbeb4425cd17979e76ad3852242c4070fe544470d14f68fa4d3e504d9d9e26b0c3235f743839
+EBUILD setuptools-rust-1.9.0.ebuild 4016 BLAKE2B 09a58bf2d7e7b25f05171e4e4850ec47a8a5fe6296142085fa70a6f0ce77b88d0158e7bfaeeea478816882180422438f5f5a597addda5ce28581253b7b3434f3 SHA512 ba80dbff7725a570eff88b9e507ffa9c92be20b3819537ba77efefad8fc51f04c8dcf79b4a3dcc7fce33670549a8bd759c233ea7eedf31e9516413d109bcc48a
MISC metadata.xml 476 BLAKE2B c8f0ef0779f0a4412a7d9b97e1bb03e3bfb3c031209f489a100b30402d99224014e379712989afd0cb76c85be301dcf9a51e21e8f9195262c5920dd1db0703d1 SHA512 af74755e9e8fb61cbded2dc3e63cd20f95393ef2650bed9f81e299f7759ae79c63b45df8048cd0fe25397ec7db10156be681fa5278606a20481f78d5279b815b
diff --git a/dev-python/setuptools-rust/setuptools-rust-1.9.0.ebuild b/dev-python/setuptools-rust/setuptools-rust-1.9.0.ebuild
index 12ee55c0797d..25678e894354 100644
--- a/dev-python/setuptools-rust/setuptools-rust-1.9.0.ebuild
+++ b/dev-python/setuptools-rust/setuptools-rust-1.9.0.ebuild
@@ -134,7 +134,7 @@ SRC_URI="
# crates are used at test time only, update via pycargoebuild -L -i ...
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 arm arm64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index 9319edeb824e..9be799d3be46 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -2,7 +2,9 @@ AUX setuptools-62.4.0-py-compile.patch 3704 BLAKE2B 9a5e70d2556b059be0ef060abd1d
DIST setuptools-69.0.3.tar.gz 2219609 BLAKE2B 1a5e7896c7ea82d51b0aa4794435b9899cef871f6ae43d22ae5e08c57d87b70641f3f2abfcc29956a3de515f90b112fd61d3daf793474b4cf33f8567e3a38f4a SHA512 11df934931f4b73f7e07ea5713479593c6baa134d423556b2ae7aff0f1e5bdbdee1f5b516131adb169c838231ceb0293441fbf275ef7030dabecf74122565b6d
DIST setuptools-69.1.0.tar.gz 2219972 BLAKE2B 82ba9df6e6234bcf234f6b6659704b208912d05749bd6f34ce456bd356bc65b8ee17f534dc8baaac71b331089d8ca8798101e0c2c91f3bd24e18d406db7ff0e5 SHA512 345aa208a446561e7a038cb5021eb6948940f95dde1291c0b1aa037098fcbe782dbc3f0db4bec17f18eca51f236365ddb396bb7441e01e2d2caa2a600360b756
DIST setuptools-69.1.1.tar.gz 2219821 BLAKE2B 730ead1ef7040213fa6dcdfd3eb5324fd93e15db15b2289f3a7e056500d09268719073b7ae192e5f1c7234afa4347e76eac2cff57bce3076ab08ff1957a51631 SHA512 ddd1e94afa8869bcc521494cd66d9a23ba2b9674ff0a7f7f8609ea2bc61137d8f0b6891708eb7c7308e9ac366edfb66bd4439c73a4ba098ae743ca82b45f12ff
+DIST setuptools-69.2.0.tar.gz 2222950 BLAKE2B 9f2bfee2bc6ca05c319137166d8b7a4fc8352652e7b29385e5dd8e692c2ea17e46b06c9c1ba78d8bb128682e57248e41900fa73bf4c4f323929d170d306e1d38 SHA512 e69abe573304b1c2c074144c9df663fec0d6ce617359f070ca8d57710e4beb99435d0d2124d45a7d8b24889693597e1e03875bc6ff960fa31f6250e1c253b906
EBUILD setuptools-69.0.3.ebuild 3988 BLAKE2B 02151d1f5dd6db5d94647bb2b705295f5c2611655d48b9b93357d17f47bc87ea6e550707f785cd872d57c44e8c115f10670e60c6643e677ba3ae5303c9ad05bd SHA512 314e7e33928be81242c7cca4b071a1f40446257a237975d71a682030fd969559f51e81b55a1c5a957a103beafba21615041be55da03d6b4d388d58c0b7ae145d
EBUILD setuptools-69.1.0.ebuild 4281 BLAKE2B 86eca10c03e15bb25c351afb8fc8dcf17c67c5aaefda809f2a1b074304333e600582ce1f6f09d57a404f7aed0a63c3301e42aa8023df920dc4ed5cb0cbbc9f8f SHA512 640799e6e90d17d96895513b5a41a115ab1237991398a2e2f76cd854a19780fccd152d1f41c5c143a1a3c096b9e54ad087d994dad463aa6cd6b86ec8f0cf1fcf
EBUILD setuptools-69.1.1.ebuild 4323 BLAKE2B be634c7f411fbbc4f9de951cd8ffb8ae8f4e75b63e7f38f888380c6bf4100ea020cbf8438f353b2e3056e12063eb57b27c27b8c08704522002dcd42e1bf87372 SHA512 75188a4b77daf991e3dd40b2bcfb6a7093708d6e160ef275e9566b2c82be1fb5cccb4fd45a6e0dc7a116190ec0aadf6b3676aa3925c66df6465ee991c29bc5b8
+EBUILD setuptools-69.2.0.ebuild 4418 BLAKE2B b8fc741e0682972fb9fbe4a60fabf4bff34bd08b0aeb3bc2759691bf16dbb34320e14e54da134fc43bab7c9b29db4170f103980008a3894d5185e39f33c2854e SHA512 3b998755b6238e25e87406a56bd483ee3f6329ccb1507cb89b27bfa46798bc435e860d95b5539e3ad0440a048c967ce72a9466062bc3a05c6f22c094130ba41c
MISC metadata.xml 469 BLAKE2B 4a26769b09a3785586b22db850b7fc5c4818f31c3ace9cc94476d35df05e50edf6721f3c95ec615c3b2efe071ef284a54ea2d53566316ba653f7830bb48f80bf SHA512 dd682c4ad2e59a97094ebdabe4d1063e2319ed05e1fe9d8c2fafe069badb3b4cf8bb6d9f50e09d2128e2a081c1c69827407ac8aed644ebf70eb4ca1bc9a57319
diff --git a/dev-python/setuptools/setuptools-69.2.0.ebuild b/dev-python/setuptools/setuptools-69.2.0.ebuild
new file mode 100644
index 000000000000..f7cd32690527
--- /dev/null
+++ b/dev-python/setuptools/setuptools-69.2.0.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+# please bump dev-python/ensurepip-setuptools along with this package!
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_TESTED=( python3_{10..12} pypy3 )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Collection of extensions to Distutils"
+HOMEPAGE="
+ https://github.com/pypa/setuptools/
+ https://pypi.org/project/setuptools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jaraco-text-3.7.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-8.12.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/nspektr-0.3.0[${PYTHON_USEDEP}]
+ >=dev-python/ordered-set-4.0.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6.2-r1[${PYTHON_USEDEP}]
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ >=dev-python/wheel-0.37.1-r1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/build[${PYTHON_USEDEP}]
+ dev-python/importlib-metadata[${PYTHON_USEDEP}]
+ >=dev-python/ini2toml-0.9[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-envs-2.2[${PYTHON_USEDEP}]
+ >=dev-python/jaraco-path-3.2.0[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pip-run[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ >=dev-python/pytest-home-0.5[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+# setuptools-scm is here because installing plugins apparently breaks stuff at
+# runtime, so let's pull it early. See bug #663324.
+PDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+src_prepare() {
+ local PATCHES=(
+ # TODO: remove this when we're 100% PEP517 mode
+ "${FILESDIR}"/setuptools-62.4.0-py-compile.patch
+ )
+
+ distutils-r1_src_prepare
+
+ # remove bundled dependencies
+ rm -r */_vendor || die
+
+ # remove the ugly */extern hack that breaks on unvendored deps
+ rm -r */extern || die
+ find -name '*.py' -exec sed \
+ -e 's:from \w*[.]\+extern ::' -e 's:\w*[.]\+extern[.]::' \
+ -i {} + || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ # network
+ # TODO: see if PRE_BUILT_SETUPTOOLS_* helps
+ setuptools/tests/config/test_apply_pyprojecttoml.py::test_apply_pyproject_equivalent_to_setupcfg
+ setuptools/tests/integration/test_pip_install_sdist.py::test_install_sdist
+ setuptools/tests/test_build_meta.py::test_legacy_editable_install
+ setuptools/tests/test_distutils_adoption.py
+ setuptools/tests/test_editable_install.py
+ setuptools/tests/test_setuptools.py::test_its_own_wheel_does_not_contain_tests
+ setuptools/tests/test_virtualenv.py::test_clean_env_install
+ setuptools/tests/test_virtualenv.py::test_no_missing_dependencies
+ setuptools/tests/test_virtualenv.py::test_test_command_install_requirements
+ # TODO
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_basic
+ setuptools/tests/config/test_setupcfg.py::TestConfigurationReader::test_ignore_errors
+ setuptools/tests/test_extern.py::test_distribution_picklable
+ # expects bundled deps in virtualenv
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_in_sdist
+ setuptools/tests/config/test_apply_pyprojecttoml.py::TestMeta::test_example_file_not_in_wheel
+ # fails if python-xlib is installed
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_allow_hosts
+ # TODO, probably some random package
+ setuptools/tests/config/test_setupcfg.py::TestOptions::test_cmdclass
+ # Internet, sigh
+ setuptools/tests/test_integration.py
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ # TODO
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_distutils_command_dep
+ setuptools/tests/test_easy_install.py::TestSetupRequires::test_setup_requires_with_transitive_extra_dependency
+ )
+ esac
+
+ local EPYTEST_XDIST=1
+ epytest -o tmp_path_retention_policy=all setuptools
+}
diff --git a/dev-python/sphinxcontrib-autoprogram/Manifest b/dev-python/sphinxcontrib-autoprogram/Manifest
index fea9477581d3..46a87430babd 100644
--- a/dev-python/sphinxcontrib-autoprogram/Manifest
+++ b/dev-python/sphinxcontrib-autoprogram/Manifest
@@ -1,3 +1,5 @@
DIST sphinxcontrib-autoprogram-0.1.8.tar.gz 18656 BLAKE2B a1334b0d9717f59ffb67c8a60e03b34c1fb0168cc86500ee14c06c44bef5bec1b484997d00be6586832e21e8a97662628636766558af9f79d40eb3da0ae21122 SHA512 a73d52a6195e3b637758b36f86afe07090bab09a655a86dbde3fefaee59f634c3fc880d436c3b14d9d7d4fb58f74765bd13457d0fc9192f1ffd4d654dc6efcd5
+DIST sphinxcontrib-autoprogram-0.1.9.tar.gz 18843 BLAKE2B 9a081113ea2f315618926e6ab88c81fd875899431f95539e9bdc343a88e9422345ef36c442d3697bec9199b8723959e12300a0c26cfd9ec36a2dd18dc76392ea SHA512 f0b4ebffda493c41a88b6fb30f12952bf136134823125e81a473fa9015d11f724aa07e9a6c87295039d1044cbc262971fbf2745e325393cc13627a1b159bc686
EBUILD sphinxcontrib-autoprogram-0.1.8.ebuild 623 BLAKE2B 280aecbf2eb8a8dffaa30784f694189b875ba017239fef5134503516813bc7f6e217d0cd3bf7592f8b771e6f963e7c9e21e702cf3cd853b117775f7442042338 SHA512 6cb4c73c8bc8e50f5dbf92cd94970fec2607df4a8cde276192e851215c780cf9ce61d60490aceacf6432d1e3a43c77ed891c9ae159be331758336bf8a02b0df6
+EBUILD sphinxcontrib-autoprogram-0.1.9.ebuild 589 BLAKE2B ae20a0a63b54274d8945bf34598adcfebe7570c41029a5b6d9b005e10ff813dd70b3af3a9c5edd906763af0d6f52394a39408bc77b51016145b3d4b5da5e3606 SHA512 c2c3d0bc35c1e65786f27b17a194f846bf416e13ebe9ba6c356aca8c13265866054d244407b8616b18495d1de270aeb9f46dc89e79ec36d5905242b11f7b5c8b
MISC metadata.xml 437 BLAKE2B 9e39af7803966fa76096217ad37df0ce8ff795bbfad2a20a0bc58485d4292626f7ad334c0e2918993f3c6a03a791c8f7ea7e4a3e68e75fd8bab3c5b4a7a00bd8 SHA512 7a3a8412639455ff004479bc6862312fdf17cde00905c4fc7a2eab839b6a26ad09facc879519b024d33d04ac62c16ed60e35719e89a7a75f3452ad55c0dc0dc5
diff --git a/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.9.ebuild b/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.9.ebuild
new file mode 100644
index 000000000000..5109e7fb295d
--- /dev/null
+++ b/dev-python/sphinxcontrib-autoprogram/sphinxcontrib-autoprogram-0.1.9.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Documenting CLI programs"
+HOMEPAGE="
+ https://github.com/sphinx-contrib/autoprogram/
+ https://pypi.org/project/sphinxcontrib-autoprogram/
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${ED}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/types-docutils/Manifest b/dev-python/types-docutils/Manifest
index 78578a988a55..b03e875e91ae 100644
--- a/dev-python/types-docutils/Manifest
+++ b/dev-python/types-docutils/Manifest
@@ -1,7 +1,9 @@
DIST types-docutils-0.20.0.20240309.tar.gz 16064 BLAKE2B c6695b4f3badf21ea2feded98b498985095e0962670af8068aa337b322775f9d3e6661e89ce4cf99d593f9b9bd627e01dfea0d79685f7fe59ed36ce8c28091ba SHA512 a29ca1c5080447f72eb484c7549a6c2306a668ac567b6a32e8a6a06d1e2db98ef01b45c0df79b3b7aa37edffbef5f362e1f0e69298b716228afcf1adc6b9581a
DIST types-docutils-0.20.0.20240310.tar.gz 16336 BLAKE2B 5ca982bae4ccea8f1e8cc56c404917c17543f65f9f13b5f61d4a40957a017c31bbb67530e209357868ab47c3344736aa5b172ac5b211eba0fa0360accb79e655 SHA512 2d54be1ea12e2354ee53c9bb2496da912ac917016e12499635abc9da11a6f4878ca63da0b50d1a9f77fa4bd731c345605ead71038abeb739d5f7258d95e0c794
DIST types-docutils-0.20.0.20240311.tar.gz 16388 BLAKE2B 4b22227a65fb1e3b86d27580292bc296b6a46d7ede27b509114de3db7666363c8b07780914c880d921aa85778e0eeae8b34fbd0e5593199623564d494c7f047d SHA512 55d406241540b7615e48647f4f7f85523952b9d5b6d9aeec7d0a2f6f0412936d2e52e535a6ba26c9f28cafa772abe26e37ccaf60f6168c1aa8313123a5fec9f8
+DIST types-docutils-0.20.0.20240314.tar.gz 18376 BLAKE2B 2e4b83673aa0e1940c89f8089330b13fa04830bc5bae2dfd24f18233041ac95ee95af5136634489328e679661fcab09f32cf729ea582ffc355b071f2b7a0c214 SHA512 4e17174e37d04f0eed82594487965e5a1a2c2016179dc2960420aaf7c2d1338608822304530530df3e87146ac6a2d8461d5110be5e13f1748a642476df03e1be
EBUILD types-docutils-0.20.0.20240309.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
EBUILD types-docutils-0.20.0.20240310.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
EBUILD types-docutils-0.20.0.20240311.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
+EBUILD types-docutils-0.20.0.20240314.ebuild 374 BLAKE2B 4fef7d769f780f48dbe7c50c65f277035d8e07cbcf95e7a59c15d6ad49be6bc93098f12c1e84c73d6f68d9fefa9913726f07ec59969a7c368f4e376205c8d982 SHA512 49ee713f19131152e0aefc897c2c79d541fb9b46d367b20a3176a2b57307ebab295e51d3bb4d4a418fe3a674174e0498a06ef2e1e75be53779e0e55f19d9a2b3
MISC metadata.xml 325 BLAKE2B 399aab1e8779e48d84998d6fdd595638aaf674b9a7076573aad7ade16855c4fc785dd45b1eff833c8ec7accda2a08cf561dfa14237e4edf6292fc7961ad76f7e SHA512 fb2768e73dd948c79654ab22c24d868a418576f2008153e45e4d0b42e2750872884bd35451ee3917203469d72d1c76f84d849e9d3534dc1006eb4d80b3ef04d7
diff --git a/dev-python/types-docutils/types-docutils-0.20.0.20240314.ebuild b/dev-python/types-docutils/types-docutils-0.20.0.20240314.ebuild
new file mode 100644
index 000000000000..cb335ec2836f
--- /dev/null
+++ b/dev-python/types-docutils/types-docutils-0.20.0.20240314.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for docutils"
+HOMEPAGE="https://pypi.org/project/types-docutils/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/urwid/Manifest b/dev-python/urwid/Manifest
index 348456abec29..6eaeb2040cf2 100644
--- a/dev-python/urwid/Manifest
+++ b/dev-python/urwid/Manifest
@@ -1,7 +1,9 @@
DIST urwid-2.5.3.tar.gz 848047 BLAKE2B 42815e22f2659ee25736767391afbf0189b5bec9d1100ce7631efd037989cfacac7ee921666e2400e1ef7ef114261a948cfac172ac993753ce151b370361d375 SHA512 80c32138347a618fc40e1a26fd174e708a9f8e4e9a8e09edc1d9261a9d73a644e356ce375654a55b5fb8838a820b8ba8b1cc47560c5b44c5c74677399845f578
DIST urwid-2.6.7.tar.gz 854504 BLAKE2B 691971a3f1c588fa9ffdf7abbd8a7499c199853cdb071028d138b836a11ef8fbba6427ab40ad7f22b86e8cb3ae6019f55a79beef8a5d212b750e32feaf6acf76 SHA512 66aaf0e6dfc730db03a6ada0fe8fcdbe15a772b90d621fbedf335302c3d212602b81df7c95be035d6a37c38c6714c896994783ab0de519c01f861a7666ec4f1b
DIST urwid-2.6.8.tar.gz 854980 BLAKE2B 4168bcd59710ee46e2af408e5e6331585ee2a260ca94990ff947d259d9aad7153750e6c2fc2e227ad00ce42aeeba063b5b11dd89e83f6c30548a6df5ed992e8f SHA512 34617104804f9eb710d5ed51c95c4d2f6354861f07a2d652b99109c59941561985d9717f928ba77990b3e0406723da02b1eb67d9f2236f31888a21b9de109e2e
+DIST urwid-2.6.9.tar.gz 855865 BLAKE2B 468c3188e110fb3e91dc2aa371aef8c1f66c0614ce116a2185050c39404987d354dba3f0d9e230b3308ecee6c6f7c90c12b91007db43c5e7f0cc9dc1d34d5d82 SHA512 23e692b76f4229ecdb51b00c5d88f38bd1de721f7a8815d91f277979935b7f58654422b11421dd93a901add390c65facb513c166b26b00195fc7826492405ed8
EBUILD urwid-2.5.3.ebuild 876 BLAKE2B d896aecca921918b6c8aeb74e4ffc2ad0fe938f76ca2c5061085af63940b082603462fd6e85629c5986171e07afae19f35c516695dbcb853f518333ec0765f37 SHA512 7fe44b6e265610fb410aaa085f03d9860f37abac139501826643c01268e96b10074c15d97145869b3c558102c93385da8ee62a3af6c24e081b10cb9247cbee6e
EBUILD urwid-2.6.7.ebuild 978 BLAKE2B 0f661145695e6582e33f6a9a3c5aba2a19682801da0416c82ad8e14a49eec5621976febc8a9de9768f954c36351f3626dfbd65e9ffbed11c39e22d0fdfbc1a28 SHA512 7c83761310f99fb763db6cb5ca02b4e43be38b570b0eb5780deff17c22660584937a13cdc7b546a408c8e3e78598de57a72f686c489e9cc0ee596b91c21852d5
EBUILD urwid-2.6.8.ebuild 978 BLAKE2B 0f661145695e6582e33f6a9a3c5aba2a19682801da0416c82ad8e14a49eec5621976febc8a9de9768f954c36351f3626dfbd65e9ffbed11c39e22d0fdfbc1a28 SHA512 7c83761310f99fb763db6cb5ca02b4e43be38b570b0eb5780deff17c22660584937a13cdc7b546a408c8e3e78598de57a72f686c489e9cc0ee596b91c21852d5
+EBUILD urwid-2.6.9.ebuild 978 BLAKE2B 0f661145695e6582e33f6a9a3c5aba2a19682801da0416c82ad8e14a49eec5621976febc8a9de9768f954c36351f3626dfbd65e9ffbed11c39e22d0fdfbc1a28 SHA512 7c83761310f99fb763db6cb5ca02b4e43be38b570b0eb5780deff17c22660584937a13cdc7b546a408c8e3e78598de57a72f686c489e9cc0ee596b91c21852d5
MISC metadata.xml 1194 BLAKE2B 387c1e6ca71806f706b054e11755e885c7bbe11e6be1b639a6160e0b2c51df91feef025f6166a973a38e8ad16fe7627ba6f2b5e293c007da8a1e32e46db1541d SHA512 ee6bb39746fdfe3ebcc83304cb9d7c7cce16f4caca284bd82907fd13672bdcf982f1fbfba22b0877da8de9f6cdadc4045916eff678095320745eab954960ab6f
diff --git a/dev-python/urwid/urwid-2.6.9.ebuild b/dev-python/urwid/urwid-2.6.9.ebuild
new file mode 100644
index 000000000000..0d52239b0d14
--- /dev/null
+++ b/dev-python/urwid/urwid-2.6.9.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+PYTHON_REQ_USE="ncurses"
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Curses-based user interface library for Python"
+HOMEPAGE="
+ https://urwid.org/
+ https://pypi.org/project/urwid/
+ https://github.com/urwid/urwid/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples"
+
+RDEPEND="
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+
+python_test() {
+ rm -rf urwid || die
+ eunittest
+}
+
+python_install_all() {
+ use examples && dodoc -r examples
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "Trio event loop" "dev-python/trio"
+}
diff --git a/dev-python/xmlschema/Manifest b/dev-python/xmlschema/Manifest
index 5a06ccc9ea5f..4c1bed80e168 100644
--- a/dev-python/xmlschema/Manifest
+++ b/dev-python/xmlschema/Manifest
@@ -1,3 +1,5 @@
DIST xmlschema-3.0.2.tar.gz 563203 BLAKE2B a8b31b435d159df65a620d26a7e964745b9a7e6050a32c52bfa039a013e9108b601cdd2a1188503f327900712b2b445dc4279cc50ee3c62022517afc5dfe6425 SHA512 93062230b13bdcc30eed0291c295bdd8eccb50d5d07c8747336c2917e5d949b30f46d1b90f501fb6da06ceda99d162da92b8db9e206fff09fc3c362b05499903
+DIST xmlschema-3.1.0.tar.gz 566760 BLAKE2B d8d1dc61e5eb6897d128ba9ed5257b65190af948946b7ac5d5b9b5fdeb14df42e8a298bc0ed7cdec58cabd237e0c950465bf58be702610496a16000a2f23f354 SHA512 26d6586ede499907bc2b7f0b58c75460d4bfa3761bc029a042e32ede2237234daa8be7b4602da7dec2e28aa945f24e1726fd445189ec31ce4af89c9c5762e1ef
EBUILD xmlschema-3.0.2.ebuild 830 BLAKE2B 6515fce2b1aacea763804dfdb40030e765fd07fbeea915ffee71c341f7e05ab5aa22909c20c86b18289a7d91535dc8bd9d0df602e79f31937ab8da5c4025d5da SHA512 026ba76a6267de655c1b36922139116ec8757278cc0ffec20efa8063ad6b71f7b3b3fcbb631f246e91887317546c5b7e65bdb51f7bccc2fc1ef9bf2dfb3738f3
+EBUILD xmlschema-3.1.0.ebuild 838 BLAKE2B 179f362d50683944907ebf62068db3dc3cea713a010a09705121d89965444d42a4d87785c1e247fc0c37efc325e21fe9484935a62895c9f24ea15c85ccafa08a SHA512 6a5814d898b7ae62fc60d8c88aaf22a93eec49cbba93aff044fe9e24f93f8435e6afa96329252510a7e05d1184964c4f73572979e46081baa590de608234a9b2
MISC metadata.xml 376 BLAKE2B 6aa6c0ef38b17f49452a3db71c7f449dfda8951e2196b904235592921620b6a2064021aae7a1a30639e637c3b9bdb46bcaebec1903a081a41832bd0c5199dde9 SHA512 b814209cd4b87ad5cb8bc447f1d485043d8386339607f39575faf2d26c19b69befa9fd7b7eb2d3fca4b5e60499091a59c1466cfc2f0d9651430949893e2edaeb
diff --git a/dev-python/xmlschema/xmlschema-3.1.0.ebuild b/dev-python/xmlschema/xmlschema-3.1.0.ebuild
new file mode 100644
index 000000000000..d38ccad42ce5
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-3.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2019-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-5[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-4.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/test_all.py -v || die "Tests fail with ${EPYTHON}"
+}